<!DOCTYPE html>

<html lang = "ru">
	<head>
		<title>Задание восьмое</title>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
					integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
					crossorigin="anonymous">
		<link rel="stylesheet" href="main.css">


		<link rel="stylesheet" type="text/css" href="slick/slick.css"/>
		<link rel="stylesheet" type="text/css" href="slick/slick-theme.css"/>

		<script
				src="https://code.jquery.com/jquery-3.2.1.min.js"
				integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4="
				crossorigin="anonymous">
		</script>

		<script src="https://code.jquery.com/jquery-1.11.0.min.js"></script>
		<script src="https://code.jquery.com/jquery-migrate-1.2.1.min.js"></script>
		
		<script src="slick/slick.min.js"></script>
		<script src="script.js"></script>
	</head>

	<body class="container-fluid">

		<!--Шапка-->
		<header>
			<div class="container my-5">
				<div class="row justify-content-center">
					<div class="col-12 col-md-6 col-lg-5 mb-5 mb-md-0 align-self-center">
						<img class="logo rounded mx-auto d-block img-fluid" alt="DANCING" src="http://64.media.tumblr.com/615ab394332ea029297c4c3a36292512/5f2ee4349161ef9f-36/s2048x3072_c14444,0,100000,64201/3222f808c2247ce1ae937d5b0a6bbb41423fa8c8.gif"/>
					</div>
					<div class="col-12 col-md-6 col-lg-5 align-self-center text-center">
						<h1>DANCING IN THE DARK</h1>
					</div>
				</div>
			</div>
		</header>

		<!--Разделяющая линия-->
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-lg-9 line">
			</div>
		</div>

		<!--Навигационное меню-->
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-lg-9">
				<nav class="navbar navbar-expand-sm justify-content-center py-4">
						<div class="navbar-nav align-items-center">
							<a class="nav-item px-2" href="#form">Form</a>
							<a class="nav-item px-2" href="#calculator">Calculator</a>
							<a class="nav-item px-2" href="#gallery">Gallery</a>
						</div>
				</nav>
			</div>
		</div>

		<!--Разделяющая линия-->
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-lg-9  line">
			</div>
		</div>

		<!--Связь с нами-->
		<h2 class="text-center py-4"><a href=""></a></h2>
			<div class="row justify-content-center mx-2">
				<div class="col-12 col-md-8 col-lg-4  pb-5">
					<button type="button" class="btn btn-lg btn-block open-button" data-toggle="modal" data-target="#myOverlay">Связаться с нами</button>
				</div>
			</div>

		<div class="row mx-0" id="myOverlay">
			<div class="col-10 col-xs-11 col-lg-7" id="myForm">
				<form class="form-container" autocomplete="on" method="post" id="ajax_form">
					<a class="closeForm float-right" href="#">X</a>
				 <h2 style="text-align:center; color:#5841b6; padding-bottom: 20px">Обратная связь</h2>

				 <div class="form-group">
				 	<label for="name">Имя и фамилия</label>
				 	<input id="name" placeholder="Иван Иванов" class="form-control " style="font-size: 20px;" required>
			 	 </div>

				 <div class="form-group form-group-lg">
				 	<label for="emailAddress">Email</label>
				 	<input id="emailAddress" placeholder="example@example.com" class="form-control" style="font-size: 20px;" required>
			 	 </div>

				 <div class="form-group">
				    <label class="col-form-label" for="message">Ваше сообщение</label>
				    <textarea class="form-control" id="message" rows="3" placeholder="Введите текст" style="font-size: 20px;" required></textarea>
				  </div>

				<div class="form-check form-check-inline">
				  <input type="checkbox" class="form-check-input check" id="agreement" value="agree" required>
				  <label class="col-form-label form-check-label" for="agreement" style="font-size: 20px; margin-left: 7px; line-height: 1.3">Даю согласие на обработку персональных данных</label>
				</div>

				 <div class="form-group" style="text-align:center; padding-top: 15px;">
				 	<button type="submit" class="btn btn-lg form-btn" id="formSend">Отправить</button>
				</div>

				</form>
			</div>
		</div>


		<!--Разделяющая линия-->
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-lg-9  line">
			</div>
		</div>

		<!--Форма-->
		<h2 class="text-center py-4"><a href="" id="form">Форма</a></h2>
			<div class="row justify-content-center mx-2">
				<div class="col-12 col-md-8 col-lg-6  pb-5">
					<form action="http://example.com" method="POST">


						<label class="col-form-label" >Имя и фамилия</label>
						<div class="row">
					    <div class="col">
					      <input type="text" class="form-control" placeholder="Иван" style="font-size: 20px;">
					    </div>
					    <div class="col">
					      <input type="text" class="form-control" placeholder="Иванов" style="font-size: 20px;">
					    </div>
					  </div>

						<div class="form-group">
    					<label class="col-form-label" for="exampleFormControlInput1">Email address</label>
    					<input type="email" class="form-control" id="exampleFormControlInput1" placeholder="name@example.com" style="font-size: 20px;">
  					</div>

						<div class="form-group">
					    <label class="col-form-label" for="inputDate" >Дата рождения:</label>
					    <input type="date" class="form-control" id="inputDate" style="font-size: 20px;">
					  </div>

						<label class="col-form-label">Пол:</label><br />
						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="radio" name="sexOptions" id="inlineRadio1" value="option1">
						  <label class="form-check-label" for="inlineRadio1">М</label>
						</div>
						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="radio" name="sexOptions" id="inlineRadio2" value="option2">
						  <label class="form-check-label" for="inlineRadio2">Ж</label>
						</div><br />

						<label class="col-form-label">Количество конечностей:</label><br />
						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="radio" name="inlineRadioOptions" id="Radio1" value="option1">
						  <label class="form-check-label" for="Radio1">0</label>
						</div>
						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="radio" name="inlineRadioOptions" id="Radio2" value="option2">
						  <label class="form-check-label" for="Radio2">1</label>
						</div>
						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="radio" name="inlineRadioOptions" id="Radio3" value="option3">
						  <label class="form-check-label" for="Radio3">2</label>
						</div>
						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="radio" name="inlineRadioOptions" id="Radio4" value="option4">
						  <label class="form-check-label" for="Radio4">3</label>
						</div>
						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="radio" name="inlineRadioOptions" id="Radio5" value="option5" >
						  <label class="form-check-label" for="Radio5">4</label>
						</div><br /><br />

						<div class="form-group">
					    <label class="col-form-label" for="exampleFormControlSelect2">Сверхспособности:</label>
					    <select multiple class="form-control" id="exampleFormControlSelect2" style="font-size: 20px;">
					      <option>Бессмертие</option>
					      <option>Прохождение сквозь стены</option>
					      <option>Левитация</option>
					    </select>
					  </div>

						<div class="form-group">
					    <label class="col-form-label" for="exampleFormControlTextarea1">Биография:</label>
					    <textarea class="form-control" id="exampleFormControlTextarea1" rows="3" placeholder="Введите текст" style="font-size: 20px;"></textarea>
					  </div>

						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="checkbox" id="inlineCheckbox1" value="option1">
						  <label class="col-form-label form-check-label" for="inlineCheckbox1">С контрактом ознакомлен</label>
						</div><br />

						<button type="button" class="btn btn-lg">Отправить</button>

					</form>
				</div>
			</div>

		<!--Разделяющая линия-->
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-lg-9  line">
			</div>
		</div>

		<!--Калькулятор -->
		<h2 class="text-center py-4"><a href="" id="calculator">Сложный калькулятор</a></h2>
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-md-8 col-lg-4">
				<form>
					<label class="col-form-label" for="item">Тип товара: </label>
					<select class="form-control" id="item" onchange="itemChange()" style="font-size: 20px;">
						<option disabled>Выберете товар</option>
						<option value="item1" selected>Кола</option>
						<option value="item2">Картошка фри</option>
						<option value="item3">Бургер</option>
					</select>
					<div id="chosenItem"></div>
				</form>
			</div>
			<div class="w-100"></div>
			<div class="col-12 col-md-8 col-lg-4 form-group">
				<label class="col-form-label" for="price">Цена:</label>
				<textarea class="form-control" id="price" rows="1" placeholder="Цена" style="font-size: 22px" readonly></textarea>
				<label>Введите количество:  </label>
				<form>
					<input name="amount" type="text" placeholder="Количество">
					<button id="button2" onclick="return click3()">Подсчет</button>
				</form>
				<div class="form-group">
					<label class="col-form-label" for="total">Стоимость:</label>
					<textarea class="form-control" id="total" rows="1" placeholder="Итог" style="font-size: 22px" readonly></textarea>
				</div>
			</div>
		</div>

		<div id="item1" style="display: none"></div>
		<div id="item2" style="display: none">
			<div class="form-check form-check-inline">
				<input class="form-check-input" type="radio" name="friesSize" id="fries1" value="small" onclick="click2()">
				<label class="form-check-label" for="fries1">Маленькая</label>
			</div>
			<div class="form-check form-check-inline">
				<input class="form-check-input" type="radio" name="friesSize" id="fries2" value="middle" onclick="click2()">
				<label class="form-check-label" for="fries2">Средняя</label>
			</div>
			<div class="form-check form-check-inline">
				<input class="form-check-input" type="radio" name="friesSize" id="fries3" value="big" onclick="click2()">
				<label class="form-check-label" for="fries3">Большая</label>
			</div>
		</div>
		<div id="item3" style="display: none">
			<div class="form-check form-check-inline">
				<input class="form-check-input" type="radio" name="burgerMeat" id="meat" value="meat" onclick="click2()">
				<label class="form-check-label" for="meat">С мясом</label>
			</div>
			<div class="form-check form-check-inline">
				<input class="form-check-input" type="radio" name="burgerMeat" id="noMeat" value="noMeat" onclick="click2()">
				<label class="form-check-label" for="noMeat">Без мяса</label>
			</div>
			<div class="form-check form-check-inline">
				<input class="form-check-input" type="checkbox" id="cheese" value="cheese" onclick="click2()">
				<label class="col-form-label form-check-label" for="cheese">Добавить сыр</label>
			</div>
		</div>

		<!--Разделяющая линия-->
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-lg-9  line">
			</div>
		</div>

		<!--Галерея-->
		<h2 class="text-center py-4"><a href="" id="gallery">Галерея</a></h2>
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-md-10 col-lg-11">
				<div class="carousel py-4">
			    <div>
						<img class="img-fluid rounded m-auto px-2" alt="summer" src="https://64.media.tumblr.com/924e4edddb611228349d3d88a0e7c14a/cf47e85ce46d4079-bb/s250x400/065125e8d3bcc3545bbf678664cbab20d1567e3b.jpg"/>
					</div>
					<div>
						<img class="img-fluid rounded m-auto px-2" alt="summer" src="https://64.media.tumblr.com/e7af70d673eae1505529e51a6b2888d9/cf47e85ce46d4079-5b/s250x400/aaff951713880a92c9ed73eb5cb4a46d6b8295d2.gifv"/>
					</div>
					<div>
						<img class="img-fluid rounded m-auto px-2" alt="summer" src="https://64.media.tumblr.com/9971fed5403a3325ae170d8a47eeac94/cf47e85ce46d4079-91/s250x400/20ea81609b68439d6d773df4f1a77d95d2d61f42.jpg"/>
					</div>
					<div>
						<img class="img-fluid rounded m-auto px-2" alt="summer"  src="https://64.media.tumblr.com/5ce21f182cd88be08abc7e872ce58d26/cf47e85ce46d4079-d2/s250x400/1576dd3c8cc771f244e75b43e53577b377aae7e9.jpg"/>
					</div>
					<div>
						<img class="img-fluid rounded m-auto px-2" alt="summer" src="https://64.media.tumblr.com/dc0580f2eca510bfd3db5b9580a878f0/cf47e85ce46d4079-f4/s250x400/34a54e613d894a300466c373fef6f5e540bfca37.jpg"/>
					</div>
					<div>
						<img class="img-fluid rounded m-auto px-2" alt="summer" src="https://64.media.tumblr.com/ae1674b4fcaac590738fdcaaa6d01aeb/cf47e85ce46d4079-5a/s250x400/bc685a0796b02e510da18bd94f0d32ffe86f62bd.jpg"/>
					</div>
					<div>
						<img class="img-fluid rounded m-auto px-2" alt="summer" src="https://64.media.tumblr.com/5c374b1e1f860a1aeff2db1978870c38/cf47e85ce46d4079-e6/s250x400/e01c97c3394483c80ca49955602ffd208df4a1ed.jpg"/>
					</div>
					<div>
						<img class="img-fluid rounded m-auto px-2" alt="summer" src="https://64.media.tumblr.com/b0609f24663471b88a76e46181bb561f/cf47e85ce46d4079-10/s250x400/c110628c1d888af06fbbebb4d9323f1154f7d6b3.jpg"/>
					</div>
				</div>
	  	</div>
		</div>

		<!--Разделяющая линия-->
		<div class="row justify-content-center mx-2 mt-5">
			<div class="col line">
			</div>
		</div>

		<!--Футер-->
		<footer class="container-fluid my-4">
			<h3 class="text-center">(с) Титова Юлия 2020</h3>
		</footer>
	</body>
</html>
